# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    app.path.user_images: /images/user_images
    app.path.tunnelMovement_pdf: /pdf/tunnelMovement_pdf
    bivperform.api_user: '%env(BIVPERFORM_API_USER)%'
    bivperform.api_pass: '%env(BIVPERFORM_API_PASS)%'

    # Assetic Configuration
    assetic:
        debug: "%kernel.debug%"
        use_controller: false
        bundles: [ '*Place your bundle names here*' ]

        filters:
            cssrewrite: ~
            assets:
                bootstrap_js:
                    inputs:
                        - App/../vendor/twitter/bootstrap/dist/js/bootstrap.js
                bootstrap_css:
                    inputs:
                        - App/../vendor/twitter/bootstrap/dist/css/bootstrap.css
                        - App/../vendor/twitter/bootstrap/dist/css/bootstrap-theme.css
                    filters: [ cssrewrite ]

                jquery:
                    inputs:
                        - App/../vendor/components/jquery/jquery.js

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    app.security.voter.update_tunnelMovement:
        class:  App\Security\Voter\UpdateTunnelMovement
        tags:
            - {name: security.voter}

    App\EventSubscriber\LocaleSubscriber:
        arguments: ['%kernel.default_locale%']

    App\EventListener\EntityListener:
        tags:
            - { name: doctrine.event_listener, event: onFlush }
            - { name: doctrine.event_listener, event: postPersist }


    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

